---
title: Reject a correction request
description: Reject a correction request without amending the certificate
method: POST
path: /api/v1/workspaces/{slug}/corrections/{id}/reject
group: Corrections
scopes: certificates:write
---

# Reject a correction request

# Reject a correction request

Marks a correction request as `rejected` without changing the issued certificate. The recipient may be notified.

## Authorization

```http
Authorization: Bearer vc_...
```

Requires `certificates:write` (or full access) and an active Pro seat.

## Path parameters

  
- `slug*` string — Workspace slug Example: `acme`.

  
- `id*` UUID — Correction request id Example: `d2b3c4e5-6f78-4901-b234-567890abcdef`.

## Request

```bash
curl -X POST \
  https://api.verifycate.com/api/v1/workspaces/acme/corrections/d2b3c4e5-6f78-4901-b234-567890abcdef/reject \
  -H "Authorization: Bearer vc_your_api_key"
```

```javascript
const id = "d2b3c4e5-6f78-4901-b234-567890abcdef";
const res = await fetch(
  `https://api.verifycate.com/api/v1/workspaces/acme/corrections/${id}/reject`,
  {
    method: "POST",
    headers: { Authorization: "Bearer vc_your_api_key" },
  },
);
const correction = await res.json();
```

```go
req, _ := http.NewRequest(
	"POST",
	"https://api.verifycate.com/api/v1/workspaces/acme/corrections/d2b3c4e5-6f78-4901-b234-567890abcdef/reject",
	nil,
)
req.Header.Set("Authorization", "Bearer vc_your_api_key")
```

```python
import urllib.request

req = urllib.request.Request(
    "https://api.verifycate.com/api/v1/workspaces/acme/corrections/d2b3c4e5-6f78-4901-b234-567890abcdef/reject",
    method="POST",
    headers={"Authorization": "Bearer vc_your_api_key"},
)
with urllib.request.urlopen(req) as res:
    print(res.read().decode())
```

## Response schema

- `certificate_issue_id*` string — 
- `created_at*` string — 
- `fields*` object — 
- `id*` string — 
- `link_token*` string — 
- `rejection_reason*` string — 
- `requested_changes*` object — 
- `status*` string — 
- `updated_at*` string — 
- `user_id*` UUID — 
  - `Bytes*` string — 
  - `Valid*` boolean — 

## Response

### 200

```json
{
  "id": "d2b3c4e5-6f78-4901-b234-567890abcdef",
  "certificate_issue_id": "9b2c1d4e-5f67-4890-a123-456789abcdef",
  "requested_changes": {
    "name": "Augusta Ada King",
    "course": "Advanced Mathematics"
  },
  "fields": {},
  "status": "rejected",
  "created_at": "2026-09-03T10:00:00Z",
  "updated_at": "2026-09-03T10:05:00Z"
}
```

### 404

```json
{
  "title": "Not Found",
  "status": 404,
  "detail": "correction request not found",
  "code": "correction_not_found"
}
```
